# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::ParseParamsByteIO Class Reference

Represents compressed parse-parameter data used in an AccessUnit.

`#include <parseparams_byteio.h>`

Inheritance diagram for dirac::ParseParamsByteIO:

[legend]
Collaboration diagram for dirac::ParseParamsByteIO:

[legend]

List of all members.

## Public Member Functions

- ParseParamsByteIO (const int &accessunit_fnum, const ByteIO &stream_data)
    Constructor.
- ParseParamsByteIO (const int &accessunit_fnum, const ByteIO &stream_data, ParseParams &parse_params)
    Constructor.
- ~ParseParamsByteIO ()
    Destructor.
- void Input ()
    Reads parse information from Dirac byte-format.
- void Output ()
    Outputs parse information to Dirac byte-format.
- int GetIdNumber () const
    Get access-unit number.

## Private Attributes

- int m_accessunit_fnum
    Current access-unit frame number.
- ParseParams m_parse_params
    Reference to parse parameters.

## Constructor & Destructor Documentation

dirac::ParseParamsByteIO::ParseParamsByteIO | ( | const int & | accessunit_fnum,
|  | const ByteIO & | stream_data |
| ) |  |  |

Parameters:

  | accessunit_fnum | AccessUnit frame number
  | stream_data | Destination of data

dirac::ParseParamsByteIO::ParseParamsByteIO | ( | const int & | accessunit_fnum,
|  | const ByteIO & | stream_data,
|  | ParseParams & | parse_params |
| ) |  |  |

Parameters:

  | accessunit_fnum | AccessUnit frame number
  | stream_data | Source of data
  | parse_params | Destination of parse params

dirac::ParseParamsByteIO::~ParseParamsByteIO | ( |  | ) |

## Member Function Documentation

void dirac::ParseParamsByteIO::Input | ( |  | ) |

void dirac::ParseParamsByteIO::Output | ( |  | ) |

int dirac::ParseParamsByteIO::GetIdNumber | ( |  | ) | const

## Member Data Documentation

int dirac::ParseParamsByteIO::m_accessunit_fnum `[private]`

ParseParams dirac::ParseParamsByteIO::m_parse_params `[private]`

The documentation for this class was generated from the following file:

- parseparams_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.